#!/bin/sh
#    igather.sh - gather various IPMI information
#
OUTFILE=/tmp/ipmi-info.txt

echo "igather script run `date`" >$OUTFILE

cat /etc/unitrends-asset >>$OUTFILE

ipmiutil health  >>$OUTFILE 2>&1

ipmiutil fru -b -c >>$OUTFILE 2>&1

ipmiutil lan -c >>$OUTFILE 2>&1

ipmiutil sensor -c >>$OUTFILE 2>&1

ipmiutil sel -n >>$OUTFILE 2>&1

cat $OUTFILE
