#!/bin/sh
# show IPMI LAN configuration
#  Usage:  ilan.sh [ enabled | ip | subnet | gateway ]

if [ "x$1" = "x" ]; then
   ipmiutil lan -c
else 
   case "$1" in
    enabled)
	ipmiutil lan -c |grep SuperMicro |cut -f2 -d'|' |grep Dedicated >/dev/null 2>&1
	if [ $? -eq 0 ]; then
	  echo "disabled"
        else 
	  echo "enabled"
	fi
	;;
    ip)
	ipmiutil lan -c |grep "IP address" |cut -f2 -d'|' 
	;;
    subnet)
	ipmiutil lan -c |grep "Subnet mask" |cut -f2 -d'|' 
	;;
    gateway)
	ipmiutil lan -c |grep "Def gateway IP" |cut -f2 -d'|' 
	;;
    *)
        echo "Usage: $0 [ enabled | ip | subnet | gateway ]"
	;;
   esac
fi

